# TODO: PLDize init script further
Summary:	Driver for Iguanaworks USB IR transceiver
Summary(pl.UTF-8):	Sterownik do nadajnika-odbiornika podczerwieni na USB firmy Iguanaworks
Name:		iguanaIR
Version:	1.1.0
Release:	2
License:	GPL v2
Group:		Applications/Communications
#Source0Download: http://www.iguanaworks.net/files/
Source0:	http://iguanaworks.net/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	798eda1de8873c8da41fb50ffe221140
Patch0:		%{name}-opt.patch
Patch1:		%{name}-soname.patch
Patch2:		%{name}-pld.patch
URL:		http://iguanaworks.net/
BuildRequires:	cmake >= 2.6
BuildRequires:	libusb-devel >= 1.0
BuildRequires:	popt-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python >= 1.3.31
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	udev-iguanaIR
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Driver for Iguanaworks USB IR transceiver.

%description -l pl.UTF-8
Sterownik do nadajnika-odbiornika podczerwieni na USB firmy
Iguanaworks.

%package libs
Summary:	iguanaIR shared library
Summary(pl.UTF-8):	Biblioteka współdzielona iguanaIR
License:	LGPL v2.1
Group:		Libraries

%description libs
iguanaIR shared library for Iguanaforks USB IR transceiver.

%description libs -l pl.UTF-8
Biblioteka współdzielona iguanaIR do nadajnika-odbiornika podczerwieni
na USB firmy Iguanaworks.

%package devel
Summary:	Header files for iguanaIR library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki iguanaIR
License:	LGPL v2.1
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for iguanaIR library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki iguanaIR.

%package -n python-%{name}
Summary:	Python binding for iguanaIR library
Summary(pl.UTF-8):	Interfejs Pythona do biblioteki iguanaIR
License:	GPL v2
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}

%description -n python-%{name}
Python binding for iguanaIR library.

%description -n python-%{name} -l pl.UTF-8
Interfejs Pythona do biblioteki iguanaIR.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake .. \
	-DLIBDIR:PATH=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d
%{__mv} $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d
%{__mv} $RPM_BUILD_ROOT/etc/default $RPM_BUILD_ROOT/etc/sysconfig

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%{__rm} docs/Makefile

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.txt WHY docs
%attr(755,root,root) %{_bindir}/igclient
%attr(755,root,root) %{_bindir}/igdaemon
%attr(755,root,root) %{_bindir}/iguanaIR-reflasher
%attr(755,root,root) %{_bindir}/iguanaIR-rescan
%dir %{_libdir}/iguanaIR
%attr(755,root,root) %{_libdir}/iguanaIR/libusb.so
%dir %{_datadir}/iguanaIR-reflasher
%attr(755,root,root) %dir %{_datadir}/iguanaIR-reflasher/iguanaIR-reflasher
%{_datadir}/iguanaIR-reflasher/hex
/lib/udev/rules.d/80-iguanaIR.rules
%attr(754,root,root) /etc/rc.d/init.d/iguanaIR
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/iguanaIR

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libiguanaIR.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libiguanaIR.so
%{_includedir}/iguanaIR.h

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_iguanaIR.so
%{py_sitedir}/iguanaIR.py[co]
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iguanaIR.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 68629e2
- release 2 (by relup.sh)

* Tue Oct 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 9fca593
- pass LIBDIR

* Mon Oct 05 2015 Jakub Bogusz <qboosh@pld-linux.org> ee041f1
- updated to 1.1.0
- updated opt patch
- added soname patch (set soname again)
- added pld patch (change /etc/default to /etc/sysconfig, workaround distro detection)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> ad6a73e
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jul 06 2012 Jakub Bogusz <qboosh@pld-linux.org> d3a4d5f
- removed obsolete lib64 patch

* Fri Jul 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 7851f0c
- updated to 1.0.1
- udev- package merged into base (/lib/udev/rules.d belongs to filesystem now)

* Fri Jul 06 2012 Jan Rękorajski <baggins@pld-linux.org> bd50919
- rel .1
- udev/devices dir is gone in latest udev

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> 979233a
- BR: python-devel, python-modules, rpm-pythonprov
- adapter: updated python macros

* Sat Oct 09 2010 hawk <hawk@pld-linux.org> 1601b06
- apply opt patch, added x86_64 build fix

* Sat Oct 09 2010 hawk <hawk@pld-linux.org> 3e417b4
- fix hardcoded /usr/lib

* Thu Sep 23 2010 Jakub Bogusz <qboosh@pld-linux.org> 5d51216
- Group typo
- filled License (LGPL v2.1 for libiguanaIR, GPL v2 for the rest)

* Thu Sep 23 2010 Jakub Bogusz <qboosh@pld-linux.org> b238d7c
- new

* Thu Sep 23 2010 Jakub Bogusz <qboosh@pld-linux.org> 29b8f9f
- don't override our optflags

